unit uPluginBancaElectronica;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCBancaElectronica = interface(IInterface)
  ['{ED6B467B-B6DD-4E2E-8E54-BCEB8FD0A012}']
  end;

  TPluginBancaElectronica = class(TModuleController, IMCBancaElectronica)
    actBancaElectronica: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    N1: TMenuItem;
    BancaElectronica1: TMenuItem;
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils,
  uBancaElectronicaController, uBancaElectronicaViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginBancaElectronica.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

constructor TPluginBancaElectronica.Create(AOwner: TComponent);
begin
  inherited;
  uBancaElectronicaViewRegister.RegisterViews;
end;

destructor TPluginBancaElectronica.Destroy;
begin
  uBancaElectronicaViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginBancaElectronica);

finalization
  UnRegisterModuleClass(TPluginBancaElectronica);

end.
